Get Ticketing Order Refund Data By Order Id

This API used to get ticketing order refund data by order id associated with the specified event.This API can be accessed by event admin and super admin. It will return list of order's refund data like cardType, amount, deliveryMode, numberOfTickets, purchaseDate, status, ticketsRefunded and many more.To call this API, user have to pass query param with API URL like eventurl, orderId and authentication key to authenticate user.This API used at host side to get ticketing order data by order id.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Here is the description of response attributes, which returns to the form of JSON.

AttributeDescription
deliveryModeIt's contains the delivery mode like email, Printed,On Call or At Door Sale.
attendeeIt's contains the list of attendee
  • *barcode**: It contains the barcode of ticketing order.
  • *firstName**: It contains the first name of attendee.
  • *lastName**: It contains the last name of attendee.
  • *email**: It contains the email of attendee.
  • *qty**: It contains the number of tickets.
  • *ticketType**: It contains the type of ticket.
  • *bundleType**: It contains the type of ticket bundle, value will null if found individual ticket bundle type.
  • *paidAmount**: It total amount paid for a ticket.
  • *status**: It contains the attendee order status, e.g. paid, unpaid etc.
  • *eventTicketingId**: It contains the event ticketing id.
  • *isTable**: Is ticket type a table?
  • *seatNumber**: It contains the number of seat.
  • *dataType**: It contains the data Type e.g. TICKET, ADDON.
  • *blocked**: It contains the attendee is blocked or not.
  • *userId**: It contains the user id.
  • *isPaidTicket**: It checking is paid ticket or not.
  • *phoneNumber**: It contains the phone number of attendee.
  • *salesTaxFee**: It contains the sales tax fee.
  • *ccFee** : It contains the ticketing orders CC fee.
  • *refundAmount** : It contains the refund amount.
  • *refundQty** : It contains the number of refund quantity.
  • *refundedAmount** : It contains the refunded amount.
  • *ticketPrice**: It contains the ticket price.
  • *ticketStatus** It contains the ticket status like CREATED, Refunded, Booked.
  • *ticketTypeId** : It contains the ticket type id.
  • *ticketingFee** : It contains the ticketing fee.
cardTypeIt contains the card type used while ordering.
clientDateIt return client date like dd/MM/yyyy HH:mm:ss format.
amountIt contains the ticketing amount refund.
idIt contains the field for host order list id.
lastFourIt contains the last four digits of card.
numberOfTicketsIt contains the total number of tickets.
orderTypeIs type of order, It will return type of order like CASH, CARD, COMPLIMENTARY, UNPAID, UNPAID_DELETE, APP Or EXTERNAL_TRANSACTION.
originalPurchaserIt contains the order original purchaser information.
  • *firstName**: It contains the purchaser first name. Only 50 Characters are allowed in firstName.
  • *lastName**: It contains the purchaser last name. Only 50 Characters are allowed in lastName.
  • *email**: It contains the purchaser email. Only 75 Characters are allowed in email.
purchaseDateIs contains the ticket purchase Date.
purchaserIt contains the purchaser information.
  • *firstName**: It contains the purchaser's first name. Only 50 Characters are allowed in firstName.
  • *lastName**: It contains the purchaser's last name. Only 50 Characters are allowed in lastName.
  • *email**: It contains the purchaser email. Only 75 Characters are allowed in email.
statusIt contains the order status e.g. paid, partially paid or refunded.
ticketsRefundedIt contains the ticketing order refunded.

Here is the possible error messages, which will return if any condition fails or required data is missing for processing.

Error CodeError Description
200ticketing order data.
400The request could not be understood by the server due to malformed syntax.
401You are not authorized to view the resource.
403Accessing the resource you were trying to reach is forbidden.
404The resource you were trying to reach is not found.
4030101Not staff user.
Path Params
string
required

Event url is unique identifier for your event. E.g https://www.accelevents.com/events/demo. Here is the demo event url.

int64
required

Pass ticketing order data by order id.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json